<%@ page language="java" import="java.util.*" pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="/struts-tags" prefix="s" %>
<fmt:setBundle basename="param1" var="p1"/>
<fmt:message key="common.date.pattern.dateZH" var="dateZH" bundle="${p1}"/>
<fmt:message key="common.date.pattern.date_1" var="date_1" bundle="${p1}"/>
<fmt:message key="common.date.pattern.datetimeZH" var="datetimeZH" bundle="${p1}"/>
<fmt:message key="common.date.pattern.datetime_1" var="datetime_1" bundle="${p1}"/>
<%
    String localPath = request.getContextPath();

 %>
  <table width="100%" height="75" border="0" leftmargin="0" bottommargin="0" topmargin="0" rightmargin="0">
    <tr>
     <td width="60%">
     
     </td>
     <td align="right" valign="bottom" style="color:#ffffff;">
     <div style="float:right; padding:10px;">
  
     <div class="divcss5" id="top_password"   style="display:inline" onclick="doModifyPass();" onmouseover="this.style.background='#ccc';" onmouseout="this.style.background=''">
     <img src="<%=localPath %>/gaowj/images/icons/(13,28).png"  style="height:16px;vertical-align:middle"/>
              <span style="font-size:12px;color:#fff;">密码修改</span>
     </div>&nbsp;
     <div class="divcss5" id="top_user"   style="display:inline" onclick="showUser(this);" onmouseover="this.style.background='#ccc';" onmouseout="this.style.background=''">
     <img src="<%=localPath %>/gaowj/images/icons/(08,10).png"  style="height:16px;vertical-align:middle"/>
              <span style="font-size:12px;color:#fff;">用户</span>
     </div>&nbsp;
     <div class="divcss5"   style="display:inline" onclick="showHelp(this);" onmouseover="this.style.background='#ccc';" onmouseout="this.style.background=''">
     <img src="<%=localPath %>/gaowj/images/icons/(08,09).png"  style="height:16px;vertical-align:middle"/>
              <span style="font-size:12px;color:#fff;">帮助</span>
     </div>&nbsp;
     <div class="divcss5"   style="display:inline" onclick="doMain('quit');" onmouseover="this.style.background='#ccc';" onmouseout="this.style.background=''">
     <img src="<%=localPath %>/gaowj/images/icons/(00,47).png"  style="height:16px;vertical-align:middle"/>
              <span style="font-size:12px;color:#fff;">退出</span>
     </div>

     </div>
     </td>
    </tr>
  </table>
  <div id="SendProduct" >  
<script type="text/javascript">
 function showUser(node){
	  var url = "<%=localPath %>/system/pages/frameDojo/userInfo.jsp";
	  $(node).tooltip({
		content : $('<iframe scrolling="yes" frameborder="0"  src="'+ url+ '" style="width:300px;height:200px;"></iframe>'),
		showEvent : 'click',
		onUpdate : function(content) {
				content.panel({
				   width : 300,
				   border : false
				});},
		onShow : function() {
				var t = $(this);
				t.tooltip('tip').unbind().bind(
				'mouseenter',
				function() {
					t.tooltip('show');
					}).bind('mouseleave',
				function() {
					t.tooltip('hide');
					});
				}
	});
  }
   
   function showHelp(node){
		  var url = "<%=localPath %>/system/pages/frameDojo/helpInfo.jsp";
		$(node).tooltip({
		content : $('<div></div>'),
		showEvent : 'click',
		onUpdate : function(content) {
				content.panel({
				   width : 200,
				   border : false,
				   href : url
				});},
		onShow : function() {
				var t = $(this);
				t.tooltip('tip').unbind().bind(
				'mouseenter',
				function() {
					t.tooltip('show');
					}).bind('mouseleave',
				function() {
					t.tooltip('hide');
					});
				}
	});
	  }

  function doMain(idx){
		  
	  if(idx=='quit'){
		  if(window.confirm('<fmt:message key="common.quit.click" bundle="${p1}"/>?')){
              window.top.location = "<%=localPath %>/logout";
              //window.top.location = WebContextPath + "/logoutcas.jsp";
             return true;
           }else{
             return false;
         }
	  }else{
		  window.top.location = "<%=localPath %>/login"; 
	  }
  }
  
    function doModifyPass(){
    	var modifyUrl = gaowj.WEB_APP_NAME+"/interim?url=modipass";
   	    $('#SendProduct').window({
			  title : "密码修改",
			  iconCls:'icon-ext-password',
			  width : 450,
			  height : 200,
			  content : '<iframe scrolling="yes" frameborder="0"  src="'+ modifyUrl+ '" style="width:100%;height:98%;"></iframe>',
			  modal : true,
			  minimizable : false,
			  maximizable : false,
			  shadow : false,
			  cache : false,
			  closed : false,
			  collapsible : false,
			  resizable : false,
			  loadingMessage : '正在加载数据，请稍等片刻......'
       });
    }

</script>
